Bug 469198 - Increasing of buffer size of Output PerfData for Active and Passive checks
Increasing of buffer size of Output PerfData for Active and Passive checks
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: nagios (Show other bugs)
el5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
ActualBug
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-30 11:21 EDT by FALQUE Benjamin
Modified: 2010-11-18 17:55 EST (History)
10 users (show)

See Also:
Fixed In Version: nagios-plugins-1.4.14-4.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-23 18:10:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description FALQUE Benjamin 2008-10-30 11:21:04 EDT
Description of problem: 

with nagios-2.12-1.el5, the files include/nagio.h.in and include/command.h use 2 variables to set, before to compile nagios, the max length of plugin output (including perf data) and and max length of an external command .
These variables are set to default value : 4k . 

In the following links : 

http://nagios.cvs.sourceforge.net/viewvc/nagios/nagios/include/common.h?r1=1.55&r2=1.56

http://nagios.cvs.sourceforge.net/viewvc/nagios/nagios/include/nagios.h?r1=1.4&r2=1.5

The variables are set up to 8k to increase the size of output sent by Nagios client plugins and to avoid to truncate the output.


Version-Release number of selected component (if applicable):

Actual : nagios-2.12-1.el5

Fixed : in CVS repository


Additional info:

Need to change these variable to 8k and to recompile nagios again.

Thanks a lot
Comment 1 FALQUE Benjamin 2009-03-03 04:25:46 EST
Hello,

Anybody could it look at this problem, please ?

Could you post a comment to know when it will be fix please?

Thanks a lot

Regards

Benjamin
Comment 2 Mike McGrath 2009-03-03 10:20:44 EST
Give this build a try:

http://buildsys.fedoraproject.org/needsign/fedora-5-epel/nagios/2.12-5.el5/
Comment 3 Michel Könst 2009-06-11 05:01:08 EDT
Hello,

I just noticed that the patch applied in 2.12-5 introduces another bug, though just a cosmetic one.

Whenever we run the preflight check we get the following warning:
Warning: Size of service_message struct (8376 bytes) is > POSIX-guaranteed atomic write size (512 bytes).  Service checks results may get lost or mangled!

The 'service_message' struct contains:
char output[MAX_PLUGINOUTPUT_LENGTH];           /* plugin output */

The MAX_PLUGINOUTPUT_LENGTH was increased by the patch from 332 to 8192. This results in the service_message struct to always be larger than 512 bytes. 

Statement generating this warning is found in base/config.c in the pre_flight_check function.
The hard value in the if statement should be changed to 8376 (I think? I'm not sure as to how to calculate this).

I'm not sure if this has been fixed in the upstream cvs yet, but either way it generates a warning that might confuse people (I took me and a colleague some time to figure out what was wrong here, but apparently it can be safely ignored).

Regards,

Michel Könst
Comment 4 Nick Bebout 2009-10-18 12:49:14 EDT
Comment 3 happens to me too.
Comment 5 Fedora Update System 2010-06-09 05:39:03 EDT
nagios-plugins-1.4.14-4.el5,nagios-2.12-9.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/nagios-plugins-1.4.14-4.el5,nagios-2.12-9.el5
Comment 6 Fedora Update System 2010-06-09 05:39:35 EDT
nagios-plugins-1.4.14-4.el4,nagios-2.12-9.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/nagios-plugins-1.4.14-4.el4,nagios-2.12-9.el4
Comment 7 Fedora Update System 2010-06-09 11:47:04 EDT
nagios-plugins-1.4.14-4.el4, nagios-2.12-9.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nagios-plugins nagios'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/nagios-plugins-1.4.14-4.el4,nagios-2.12-9.el4
Comment 8 Fedora Update System 2010-06-09 11:49:34 EDT
nagios-plugins-1.4.14-4.el5, nagios-2.12-9.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nagios-plugins nagios'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/nagios-plugins-1.4.14-4.el5,nagios-2.12-9.el5
Comment 9 Fedora Update System 2010-06-23 18:09:44 EDT
nagios-plugins-1.4.14-4.el4, nagios-2.12-9.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2010-06-23 18:11:24 EDT
nagios-plugins-1.4.14-4.el5, nagios-2.12-9.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Carl Byington 2010-07-01 11:15:05 EDT
Running 
nagios-2.12-9.el4
nagios-plugins-1.4.14-4.el4

Still get the warning:

/usr/sbin/nagios -v /etc/nagios/nagios.cfg

Warning: Size of service_message struct (8356 bytes) is > POSIX-guaranteed atomic write size (512 bytes).  Service checks results may get lost or mangled!
Comment 12 Eugene 2010-11-18 17:55:42 EST
Running 
nagios-2.12-10.el5
nagios-plugins-1.4.15-2.el5

Still get the warning:

Warning: Size of service_message struct (8376 bytes) is > POSIX-guaranteed atomic write size (512 bytes).  Service checks results may get lost or mangled!

Note You need to log in before you can comment on or make changes to this bug.